Loading...
Searching...
No Matches
Dune::AdderSelector< T, X, S > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

template meta program for choosing how to add the correction. More...

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::AdderSelector< T, X, S >:

## Detailed Description

template<typename T, class X, class S>
struct Dune::AdderSelector< T, X, S >

template meta program for choosing how to add the correction.

There are specialization for the additive, the multiplicative, and the symmetric multiplicative mode.

Template Parameters

  T | The Schwarz mode (either AdditiveSchwarzMode or MuliplicativeSchwarzMode or SymmetricMultiplicativeSchwarzMode)
  X | The vector field type

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh